egdata API
API ReferenceItems

List changelog entries for an item

GET
/items/{id}/changelog

Path Parameters

id*string

Epic item identifier.

Query Parameters

page?integer

One-based page number.

Default1
Range1 <= value
limit?integer

Maximum number of records to return. Most list endpoints cap this server-side.

Range1 <= value

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/items/string/changelog"
[  {    "_id": "string",    "timestamp": "2019-08-24T14:15:22Z",    "metadata": {      "contextType": "string",      "contextId": "string",      "context": {        "id": "string",        "artifactId": "string",        "appName": "string",        "buildVersion": "string",        "title": "string",        "namespace": "string"      },      "changes": [        {          "changeType": "string",          "action": "string",          "type": "string",          "field": "string",          "oldValue": null,          "newValue": null,          "oldValueRaw": null,          "newValueRaw": null        }      ]    },    "document": {      "id": "string",      "namespace": "string",      "title": "string",      "description": "string",      "longDescription": "string",      "offerType": "string",      "developerDisplayName": "string",      "publisherDisplayName": "string",      "seller": {        "id": "string",        "name": "string"      },      "tags": [        {}      ],      "offerMappings": [        {}      ],      "productSlug": "string",      "urlSlug": "string",      "url": "string",      "keyImages": [        {          "type": "string",          "url": "http://example.com",          "width": 0,          "height": 0        }      ],      "price": {        "offerId": "string",        "region": "string",        "price": {          "currencyCode": "string",          "originalPrice": 0,          "discountPrice": 0,          "discount": 0        },        "updatedAt": "2019-08-24T14:15:22Z"      },      "releaseDate": "2019-08-24T14:15:22Z",      "lastModifiedDate": "2019-08-24T14:15:22Z",      "locale": "es-ES",      "localeStatus": "canonical",      "canonicalLocale": "en-US",      "localization": {        "source": "string",        "fetchedAt": "2019-08-24T14:15:22Z",        "sourceUpdatedAt": "2019-08-24T14:15:22Z"      }    }  }]
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}